<?php

/**
 * @file
 * BitPay webhook handler.
 */

/**
 * Page callback for BitPay notification URL.
 *
 * @throws \Exception
 *   Thrown if BitPay client did not initialize or invoice cannot be retrieved.
 */
function bitpay_callback() {
  $client = bitpay_initialize();
  $request = json_decode(file_get_contents('php://input'));
  if (empty($request->id)) {
    return MENU_ACCESS_DENIED;
  }
  $invoice = $client->getInvoice($request->id);
  bitpay_record_invoice($invoice);
  $response = json_decode($client->getResponse()->getBody(), TRUE);
  module_invoke_all('bitpay_invoice_update', $response['data']);
}
